# $Revision: 1.14 $, $Date: 2009/03/15 15:19:41 $
Summary:	Load, configure, and compose WSGI applications and servers
Summary(pl.UTF-8):	Wczytywanie, konfiguracja i łączenie aplikacji i serwerów WSGI
Name:		python-PasteDeploy
Version:	1.3.3
Release:	1
Group:		Libraries/Python
License:	X11/MIT
Source0:	http://cheeseshop.python.org/packages/source/P/PasteDeploy/PasteDeploy-%{version}.tar.gz
# Source0-md5:	0598aa8ab4184ea8087839b811f92284
URL:		http://pythonpaste.org/deploy/
BuildRequires:	python-devel
BuildRequires:	python-setuptools >= 0.6-0.a9.1
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This tool provides code to load WSGI applications and servers from
URIs; these URIs can refer to Python Eggs for INI-style configuration
files. Paste Script provides commands to serve applications based on
this configuration file.

%description -l pl.UTF-8
To narzędzie zawiera kod do wczytywania aplikacji i serwerów WSGI z
URI; URI te mogą odnosić się do pakietów Python Egg dla plików
konfiguracyjnych w stylu INI. Paste Script udostępnia polecenia do
obsługi aplikacji w oparciu o ten plik konfiguracyjny.

%prep
%setup -q -n PasteDeploy-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%{py_sitescriptdir}/paste/deploy
%{py_sitescriptdir}/Paste*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog -n python-PasteDeploy
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PasteDeploy.spec,v $
Revision 1.14  2009/03/15 15:19:41  duddits
- up to 1.3.3

Revision 1.13  2009/02/05 23:16:01  beorn
- Group name fix

Revision 1.12  2008/11/12 09:35:25  glen
- why rel 0.1?; rel 1

Revision 1.11  2007/09/14 17:59:53  beorn
- Up to 1.3.1 (how did I miss it?)

Revision 1.10  2007/09/14 17:15:28  beorn
- Up to 1.3
- Switched to %py_postclean macro

Revision 1.9  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.7  2007/01/28 11:55:05  arekm
- up to 1.1

Revision 1.6  2006/11/17 20:33:10  radzio
- up to 1.0

Revision 1.5  2006/04/16 20:33:32  qboosh
- tab

Revision 1.4  2006/04/16 19:34:41  radzio
- better [B]R

Revision 1.3  2006/04/16 08:39:09  radzio
- update to 0.5[.1]

Revision 1.2  2006/01/30 10:22:39  qboosh
- pl

Revision 1.1  2006/01/28 18:57:16  radzio
- initial release
- TODO: polish translations, better [B]R
